def install_workspace(container, username='', email='',
			install_gum=1, install_calendar=1,
			install_address_book=1, install_todo_folder=1,
			install_note_folder=1, install_bookmarks=1,
			install_personal_folder=1):

	from Products import GUM, CalendarFolder, TodoFolder, Notes, \
				BookmarkFolder, AddressBook, PersonalFolder

	if install_gum:

		GUM.gum.manage_add_gum(container, 'Mail', username, email, '', 'Your ' \
			'Grand Unified Messenger')

	if install_calendar:

		CalendarFolder.calendar_folder.manage_add_calendar_folder(container, 'Calendar', 'Your calendar')

	if install_address_book:

		AddressBook.address_book.manage_add_address_book(container, 'AddressBook', 'Your address book')

	if install_todo_folder:

		TodoFolder.todo_folder.manage_add_todo_folder(container, 'Tasks', 'Your tasks', number_of_todos_in_display=5)

	if install_bookmarks:

		BookmarkFolder.bookmark_folder.manage_add_bookmark_folder(container, 'Bookmarks', 'Your bookmarks', '')

	if install_note_folder:

		Notes.notes.manage_add_notes(container, 'Notes',
						'Your notes', '')

	if install_personal_folder:

		PersonalFolder.personal_folder.manage_add_personal_folder(
			container, 'PersonalFolder','Your files', '')

